get
https://api.accelevents.com/rest/host/event//auction/pastEvents
This API is used to get items from a past event using a CSV upload.
We need to pass the authentication token to authorize the user. This API can be accessed by admins, super admins, and white-label admins.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Here is the description of response attributes, which returns to the form of JSON.
| Attribute | Description |
|---|---|
| eventId | This represents the unique ID of each event. It will generate automatically when a new event is created. |
| name | Returns the name of the event. |
| auctionEnabled | Returns whether the auction module is enabled or not. |
| auctionModuleShow | Returns whether the auction module is shown or hidden on the participant side. |
| auctionId | The auction ID represent unique ID of each event. |
| latitude | Returns the latitude of the event's location. |
| accessToken | Returns the access token for SMS module.
|
| longitude | Returns the longitude of the event's location. |
| fundANeedEnabled | Returns whether the Fund a Need module is enabled or not. |
| fundANeedModuleShow | Returns whether the Fund a Need module is shown or hidden on the participant side. |
| fundANeedId | Returns unique value associated with Fund a Need. |
| raffleEnabled | Returns whether the Raffle module is enabled or not. |
| paymentGateway | This determines the payment gateway that the event host has connected the event to receive payments. |
| startDate | Returns the event start date in yyyy/MM/dd HH:mm format. |
| endDate | Returns the event end date in yyyy/MM/dd HH:mm format. |
| address | Returns the event venue address. |
| isRecurring | Returns whether the event is recurring or not. If true then the event is recurring, otherwise false. |
| organizerName | Returns the name of organizer. |
| organizerPageURL | Returns the organizer page URL. |
| raffleModuleShow | Returns whether the Raffle module is shown or hidden on the participant side. |
| raffleId | The raffle Id returns the unique value associated with the raffle module. |
| ticketingEnabled | Returns whether the Ticketing module is enabled or not. |
| ticketingId | The ticketing Id returns the unique value associated with the ticketing module. |
| donationEnabled | Returns whether the Donation module is enabled or not. |
| textToGiveEnabled | Returns whether the Text to Give module is enabled or not. |
| fundRaisingGoal | Returns the fundraising goal for the event. |
| goalStartingAmount | Returns the starting amount of the fundraising goal. |
| timezoneId | Returns the timezone ID, e.g. India Time, United States (New York) Time etc. |
| timezoneOffset | Returns the timezone offset. |
| equivalentTimezone | Returns the time zone equivalent to custom timezone, e.g. Asia/Karachi, Asia/Calcutta, America/New_York. |
| phoneNumber | Returns the country code phone number. |
| accountActivatedTriggerStatus | If Facebook Pixel is activated this will return the trigger status. It will return either INITIAL, READY_TO_FIRE_TRIGGER, TICKETING_ACTIVATED_TRIGGERED, AUCTION_ACTIVATED_TRIGGERED, RAFFLE_ACTIVATED_TRIGGERED, FUND_A_NEED_ACTIVATED_TRIGGERED, TEXT_TO_DONATE_ACTIVATED_TRIGGERED, MULTIPLE_MODULES_ACTIVATED_TRIGGERED |
| creditCardEnabled | Returns whether credit card processing is enabled or not. |
| ccRequiredForBidConfirm | Is credit card required for bid confirmation. |
| taxId | The tax Id returns unique value associated with event. |
| createdDate | It contains the event's created date in the yyyy/MM/dd HH:mm format. |
| countryCode | Returns the country code of the event, e.g. US, IN, ID. |
| currency | Returns the currency that is set for the event e.g. HKD, USD, JPY, EURO. |
| currencySymbol | Returns the symbol of currency, e.g. $, €, Mex$. |
| processingFeesToPurchaser | Returns the processing fees being paid for each order. |
| enableBidderRegistration | Returns whether bidder registration is enabled or not. If true, it is enabled. |
| auctionEnded | Returns whether the auction has ended or not. If true, it has ended. |
| raffleEnded | Returns whether the raffle has ended or not. If true, it has ended. |
| fundANeedEnded | Returns whether the fund a need has ended or not. If true, it has ended. |
| ticketingEnded | Returns whether ticketing has ended or not. If true, it has ended. |
| eventStatus | Returns the event status. It will return as one of the following: EVENT_HAPPENING, EVENT_ENDED, EVENT_WINNER_PROCESSING, NULL, EVENT_WINNER_ANNOUNCED, EVENT_DELETED, |
| eventDesignDetails | Returns the event design details.
|
| analyticsId | Returns the event Google analytics ID. |
| trackingPixelId | Returns the event's Facebook tracking pixel ID. |
| liveItemAvailable | Returns whether the live item is available or not. If available then it will return true, otherwise it will be false. |
| stripeKey | Returns the key for Stripe or Square. |
| squareLocationId | Returns the location ID of Square. |
| isStripeConnectRequiredToTicketing | Returns whether a Stripe connection is required for ticketing or not. |
| ccProcessingEnabled | Returns true when payment gateway is connected, anything else will be false. |